Get Agent Details
curl --request GET \
--url https://api.kakiyo.com/v1/agents/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.kakiyo.com/v1/agents/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kakiyo.com/v1/agents/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "agent_abcdef123456",
"name": "John Doe",
"status": "running",
"login": "john.doe@example.com",
"country": "US",
"avatar": "https://example.com/avatar.jpg",
"nextTask": "2023-06-16T10:30:00Z",
"usage": {
"invitations": 45,
"invitationsDaily": 15,
"messages": 120,
"messagesDaily": 25,
"nextInvitation": "2023-06-16T10:45:00Z",
"nextMessage": "2023-06-16T11:15:00Z",
"workingHours": {
"days": "1:1:1:1:1:0:0",
"start": "09:00",
"stop": "17:00",
"timezone": 0
}
},
"alerts": [
{
"type": "auth",
"subType": "2fa_required",
"message": "Please enter the verification code sent by LinkedIn to your email/phone",
"severity": "warning"
}
]
}{
"error": "validation_error",
"message": "The request parameters failed validation",
"details": [
{
"field": "name",
"message": "The name field is required"
}
]
}{
"error": "validation_error",
"message": "The request parameters failed validation",
"details": [
{
"field": "name",
"message": "The name field is required"
}
]
}Agents
Get agent details
Returns details of a specific agent
GET
/
agents
/
{id}
Get Agent Details
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the agent
Response
Agent details
Example:
"agent_abcdef123456"
Example:
"John Doe"
Available options:
setup_needed, auth_needed, auth_in_progress, running, paused, disabled Example:
"running"
Example:
"john.doe@example.com"
Example:
"US"
Example:
"https://example.com/avatar.jpg"
Example:
"2023-06-16T10:30:00Z"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Last modified on April 25, 2025
⌘I

